Skip to content
Start here

Update Page Shield settings

client.pageShield.update(PageShieldUpdateParams { zone_id, enabled, use_cloudflare_reporting_endpoint, use_connection_url_path } params, RequestOptionsoptions?): PageShieldUpdateResponse { enabled, updated_at, use_cloudflare_reporting_endpoint, use_connection_url_path }
PUT/zones/{zone_id}/page_shield

Updates Page Shield settings.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Page ShieldDomain Page ShieldZone Settings Write
ParametersExpand Collapse
params: PageShieldUpdateParams { zone_id, enabled, use_cloudflare_reporting_endpoint, use_connection_url_path }
zone_id: string

Path param: Identifier

maxLength32
enabled?: boolean

Body param: When true, indicates that Page Shield is enabled.

use_cloudflare_reporting_endpoint?: boolean

Body param: When true, CSP reports will be sent to https://csp-reporting.cloudflare.com/cdn-cgi/script_monitor/report

use_connection_url_path?: boolean

Body param: When true, the paths associated with connections URLs will also be analyzed.

ReturnsExpand Collapse
PageShieldUpdateResponse { enabled, updated_at, use_cloudflare_reporting_endpoint, use_connection_url_path }
enabled: boolean

When true, indicates that Page Shield is enabled.

updated_at: string

The timestamp of when Page Shield was last updated.

use_cloudflare_reporting_endpoint: boolean
use_connection_url_path: boolean

When true, the paths associated with connections URLs will also be analyzed.

Update Page Shield settings

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const pageShield = await client.pageShield.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(pageShield.enabled);
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}